Page MenuHomePhabricator

[LLDB] Send SVE vg register in custom expedited registerset
ClosedPublic

Authored by omjavaid on Jun 30 2020, 3:37 AM.

Details

Summary

This patch ovverides GetExpeditedRegisterSet for NativeRegisterContextLinux_arm64 to send vector granule register in expedited register set if SVE mode is selected.

Diff Detail

Event Timeline

omjavaid created this revision.Jun 30 2020, 3:37 AM
omjavaid updated this revision to Diff 286525.Aug 19 2020, 3:20 AM

This revision updated after rebase.

omjavaid updated this revision to Diff 287325.Aug 24 2020, 3:25 AM

Updated after changes to parent rev D82853

This looks good, though it would be nice to add a test for it. It looks like TestGdbRemoteExpeditedRegisters.py has a lot of functionality that could be reused for this purpose.

omjavaid updated this revision to Diff 288941.Aug 31 2020, 7:06 AM

Added test case for vg testing.

labath accepted this revision.Sep 2 2020, 8:39 AM
labath added inline comments.
lldb/test/API/tools/lldb-server/TestGdbRemoteExpeditedRegisters.py
185

"must be available" ?

This revision is now accepted and ready to land.Sep 2 2020, 8:39 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptNov 30 2020, 4:35 AM